com.trendmicro.ds.platform.rest.object.scheduledtask

## Enum MonthlyScheduleParameters.FrequencyType

- java.lang.Object
- - java.lang.Enum<MonthlyScheduleParameters.FrequencyType>
  - - com.trendmicro.ds.platform.rest.object.scheduledtask.MonthlyScheduleParameters.FrequencyType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MonthlyScheduleParameters.FrequencyType>
  Enclosing class:
    MonthlyScheduleParameters

      public static enum MonthlyScheduleParameters.FrequencyType
      extends java.lang.Enum<MonthlyScheduleParameters.FrequencyType>

  FrequencyType controls how often the task is run.
  - `index` is a specific day of the month (e.g. the first day of the month).
  - `last-day-of-month` implies the last day of the month regardless of the actual date
  - `custom` allows the task to be run on a specific day within a specific week of the month. For example, the second Thursday of the month. This option works in conjunction with the `dayOfWeek` and `weekOfMonth` values to define the specific schedule.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CUSTOM` A custom schedule to run on a specific day within a specific week each month (e.g.
    `DAY_OF_MONTH` A specific day each month (e.g.
    `LAST_DAY_OF_MONTH` The last day of the month, regardless of how many days are in each month.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MonthlyScheduleParameters.FrequencyType` | `forValue(int value)`
    `int` | `getValue()`
    `static MonthlyScheduleParameters.FrequencyType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MonthlyScheduleParameters.FrequencyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DAY_OF_MONTH

          public static final MonthlyScheduleParameters.FrequencyType DAY_OF_MONTH

      A specific day each month (e.g. the 3rd).

    - #### LAST_DAY_OF_MONTH

          public static final MonthlyScheduleParameters.FrequencyType LAST_DAY_OF_MONTH

      The last day of the month, regardless of how many days are in each month.

    - #### CUSTOM

          public static final MonthlyScheduleParameters.FrequencyType CUSTOM

      A custom schedule to run on a specific day within a specific week each month (e.g. second Tuesday of the month).

  - ### Method Detail

    - #### values

          public static MonthlyScheduleParameters.FrequencyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MonthlyScheduleParameters.FrequencyType c : MonthlyScheduleParameters.FrequencyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MonthlyScheduleParameters.FrequencyType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### forValue

          public static MonthlyScheduleParameters.FrequencyType forValue(int value)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.